Multivariate Pattern Analysis in Python

# mvpa2.misc.surfing.volsurf.VolumeBasedSurface

class `mvpa2.misc.surfing.volsurf.``VolumeBasedSurface`(vg)

  A surface based on a volume, where every voxel is a node. It has the empty topology, meaning there are no edges between nodes (voxels)

  Use case: provide volume-based searchlight behaviour. In that case finding neighbouring nodes is supposed to be faster using the circlearound_n2d method.

  XXX make a separate module?

  Attributes

  `average_node_edge_length` | Average length of edges associated with each face
  `center_of_mass` | Computes the center of mass
  `edge2face` | A mapping from edges to the face that contains that edge
  `face_areas` |
  `face_edge_length` | Length of edges associated with each face
  `face_normals` |

  `faces`

  Returns: |

  `neighbors` | Finds the neighbours for each node and their (Euclidean) distance.

  `nfaces`

  Returns: |

  `node2faces` | A mapping from node indices to the faces that contain those nodes.
  `node_areas` |
  `node_normals` |

  `nvertices`

  Returns: |

  `vertices`

  Returns: |

  Methods

  `circlearound_n2d`(src, radius[, metric]) |

  Parameters:

  vg: Volgeom.volgeom or str or NiftiImage

  > volume to be used as a surface

  Attributes

  `average_node_edge_length` | Average length of edges associated with each face
  `center_of_mass` | Computes the center of mass
  `edge2face` | A mapping from edges to the face that contains that edge
  `face_areas` |
  `face_edge_length` | Length of edges associated with each face
  `face_normals` |

  `faces`

  Returns: |

  `neighbors` | Finds the neighbours for each node and their (Euclidean) distance.

  `nfaces`

  Returns: |

  `node2faces` | A mapping from node indices to the faces that contain those nodes.
  `node_areas` |
  `node_normals` |

  `nvertices`

  Returns: |

  `vertices`

  Returns: |

  Methods

  `circlearound_n2d`(src, radius[, metric]) |

  `circlearound_n2d`(src, radius, metric='euclidean')